This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 171183 - [cal] unable to accept input when using SCIM
[cal] unable to accept input when using SCIM
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libgal2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-19 02:01 EDT by Lawrence Lim
Modified: 2014-03-25 20:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-27 07:47:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 319281 None None None Never

  None (edit)
Description Lawrence Lim 2005-10-19 02:01:52 EDT
Description of problem:
Tried to input CJK using SCIM in evolution calendar but was not able to commit
any chars. After I changed back to IIIMF, input is OK.

Version-Release number of selected component (if applicable):
evolution-data-server-1.4.0-2
evolution-webcal-2.4.0.1-2
evolution-2.4.0-2

scim-1.4.2-5

How reproducible:
Always

Steps to Reproduce:
1.start evolution with SCIM as default IM
2.select calendar (Day View) and click on a time slot (12PM)
3.select ja such as Nippon
4.enter aka
  
Actual results:
candidate window appear, however no pre-edit buffer and unable to commit the
candidate selected

Expected results:
pre-edit buffer with candidate window and able to commit the selected char.

Additional info:
there is a workaround, click on the timeslot before the IM is activated, enter
any alpabet then ctrl-space to activate IM and start typing.
Comment 1 Dave Malcolm 2005-10-19 13:20:46 EDT
Have you checked/filed this upstream?
Comment 2 Mayank Jain 2006-06-20 09:48:18 EDT
llim, when i select day view, single click on 12pm & try to hit ctrl+space,
nothing gets activated as i'm not puting the cell in editing mode.

Can you please confirm that this is the exact sequence of steps you are following?

Thanks,
Mayank
Comment 3 A S Alam 2006-06-27 07:47:28 EDT
working fine using following envirnement:
--------------------
evolution-2.7.3-3
evolution-data-server-1.7.3-2
evolution-webcal-2.7.1-4
scim-1.4.4-21
--------------------

Note You need to log in before you can comment on or make changes to this bug.